%define texmf           %{_datadir}/texmf
%define build_texmf     $RPM_BUILD_ROOT%{texmf}
%define dvipdfmconfig   %{texmf}/dvipdfm/config
%define exec_texhash    [ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null

Summary: dvipdfmx is a DVI (TeX) to PDF translator
Summary(ja): DVI から PDF へ変換
Name: dvipdfmx
Version: 20040411
Release: 1.1AX
License: GPL
Group: Applications/Publishing
URL: http://project.ktug.or.kr/dvipdfmx/
Source0: http://project.ktug.or.kr/dvipdfmx/snapshot/current/%{name}-%{version}.tar.gz
Source1: dvipdfmx.cfg.asianux
Patch0:  dvipdfmx-20040411-critical.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: tetex >= 2.0, ghostscript >= 7.0, zlib, libpng, openssl-devel
BuildRequires: zlib-devel, libpng-devel
Obsoletes: dvipdfm

%description
The dvipdfmx (formerly dvipdfm-cjk) project provides an eXtended
version of the dvipdfm, a DVI to PDF translator developed by Mark
A. Wicks. The primary goal of this project is to support multi-byte
character encodings and large character sets for East Asian languages
by CID-keyed font technology. The secondary goal is to support as many
features as pdfTeX developed by Han The Thanh. This project is a
combined work of the dvipdfm-jpn project by Shunsaku Hirata and its
modified one, dvipdfm-kor, by Jin-Hwan Cho.

%description -l ja
  dvidpfmx（旧 dvipdfm-cjk）プロジェクトは、Mark A. Wicks による DVI 
から PDF へのコンバータである dvipdfm の拡張バージョンを開発します。
  このプロジェクトの第一の目標は CID フォントによって東アジア言語のマ
ルチバイト文字エンコードと多くの文字セットを使えるようにすることです。
第二の目標は Han The Thanh による pdfTeX と同じくらいたくさんの機能を
使えるようにすることです。
  このプロジェクトは、平田さんの dvipdfm-jpn と、その派生バージョンの 
Jin-Hwan Cho の dvipdfm-kor との共同作業です。

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .critical

%__install %{SOURCE1} data/config/dvipdfmx.cfg

%build
%configure
%__make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%{__ln_s} %{_datadir}/ghostscript/Resource/CMap/* %{build_texmf}/dvipdfm/CMap
## for texmacro-otf package
%{__ln_s} %{_datadir}/ghostscript/Resource/CIDFont %{build_texmf}/dvipdfm/CIDFont

%post
%{exec_texhash}
exit 0

%postun
if [ "$1" = 0 ]; then
    %{exec_texhash}
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%dir %{texmf}/dvipdfm
%dir %{texmf}/dvipdfm/config
%config %{texmf}/dvipdfm/config/dvipdfmx.cfg
%{texmf}/dvipdfm/config/cid-x.map
%{texmf}/dvipdfm/CMap
%{texmf}/dvipdfm/CIDFont

%doc BUGS COPYING ChangeLog INSTALL README TODO

%changelog
* Wed Aug 31 2005 Shiro Yamada <shiro@miraclelinux.com> - 20040411-1.1AX
- rebuild for Asianux 2.0

* Tue Jan 4 2005 <linux.1103296135.353@pc5.2ch.net> - 20040411-1
- Build for Fedora

* Sat Jul 24 2004 KOBAYASHI R. Taizo <tkoba@vinelinuc.org> 20040411-0vl2
- move Copyright to License
- Oops! the spec file was skipped!
  merged Tsuchimura-san's update
  * Thu Jul 15 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20040411-0vl1
  - updated dvipdfmx-20040411.

* Wed Feb 04 2004 KOBAYASHI R. Taizo <tkoba@vinelinuc.org> 20031207-0vl1
- new upstream release

* Sat Oct 11 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20031009-0vl1
- new upstream release

* Wed Apr 23 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20030313-0vl2
- removed adobe-cmaps-200204.tar.gz instead of BuildRequires: ghostscript >= 7.0

* Fri Apr 18 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20030313-0vl1
- update dvipdfmx-20030313.
- build with tetex-2.0.2 for VineSeed.
- removed useless dvipdfmx-20021230.tate.patch.

* Tue Feb 25 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20021230-0t1
- dvipdfmx.
- build with tetex-2.0.1.
- added dvipdfmx-20021230.tate.patch.

* Mon Aug 19 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20020605-0vl1
- update dvipdfm-cjk-20020605

* Fri Aug  9 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20020531-0vl1
- dvipdfm-cjk

* Mon Jun 17 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.2c-0vl8
- rebuild against dvipdfm-2002-03-29.zip

* Wed Oct 10 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.13.2c-0vl7
- simply increased release number (VinePlus's package had the same release!)

* Wed Sep 19 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.2c-0vl6
- rebuild against dvipdfm.zip (2001-09-14)

* Fri Sep 14 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.2c-0vl5
- rebuild against dvipdfm.zip (2001-09-09)
- update out2uni.c (2001-09-11, for gcc-3.0/glibc-2.2)
- removed require: pxfonts, txfonts

* Thu Aug 02 2001 Satoshi MACHINO <machino@vinelinux.org> 0.13.2c-0vl4
- pTeX to tetex

* Wed Jul 04 2001 Satoshi MACHINO <machino@vinelinux.org> 0.13.2c-0vl3
- added require: pxfonts, txfonts

* Tue Jul 03 2001 Satoshi MACHINO <machino@vinelinux.org> 0.13.2c-0vl2
- rebuild for VineSeed
- changed mandir /usr/share/man
- used rpmmacros

* Sat Jun 30 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-0vl1
- update 0.13.2c, apply jpatch-p0d patch.

* Wed Jun 27 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-5
- apply bgcolor, colorname, gcc30 patch.

* Thu Jun 21 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-4
- apply jpatch-p0c patch.

* Fri Jun 15 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-3
- add out2uni
- apply printf and pagesize patch.

* Tue Jun 12 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-2
- apply patch-psspecial.c and jpatch-p0b.

